Loading...
Searching...
No Matches
casacore::FieldNotFoundError Class Reference

`#include <FunctionFactoryErrors.h>`

## Public Member Functions

| FieldNotFoundError (const String &field, Category c=GENERAL)
virtual | ~FieldNotFoundError () noexcept
Public Member Functions inherited from casacore::InvalidSerializationError
| InvalidSerializationError (const String &reason, Category c=GENERAL)
| create an exception indicating a Record serialization of a Function is invalid.
virtual | ~InvalidSerializationError () noexcept
const String & | getReason ()
Public Member Functions inherited from casacore::FunctionFactoryError
| FunctionFactoryError (const String &message, Category c=GENERAL)
virtual | ~FunctionFactoryError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Private Attributes

String | fname

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Static Public Attributes inherited from casacore::InvalidSerializationError
static const String | preamble
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Definition at line 74 of file FunctionFactoryErrors.h.

## Constructor & Destructor Documentation

## FieldNotFoundError()

casacore::FieldNotFoundError::FieldNotFoundError | ( | const String & | field,
|  | Category | c = GENERAL )

inline

Definition at line 76 of file FunctionFactoryErrors.h.

References fname, casacore::AipsError::GENERAL, and casacore::InvalidSerializationError::InvalidSerializationError().

## ~FieldNotFoundError()

virtual casacore::FieldNotFoundError::~FieldNotFoundError | ( |  | ) |

virtual noexcept

## Member Data Documentation

## fname

String casacore::FieldNotFoundError::fname

private

Definition at line 83 of file FunctionFactoryErrors.h.

Referenced by FieldNotFoundError().

The documentation for this class was generated from the following file:

- scimath/Functionals/FunctionFactoryErrors.h